Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.15.2.
Report fail-closed runtime readiness
GET
/ready
const url = 'https://example.com/ready';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/readyResponses
Section titled “Responses”Runtime is ready
Media typeapplication/json
object
status
required
string
Example
{ "status": "ready"}Headers
Section titled “Headers”Cache-Control
string
Evidence responses are never cacheable.
X-Request-Id
string
Server-minted operation identifier for this request. It is generated by Evidence, never taken from the caller, and is the identifier a caller quotes to an operator. Problem responses repeat it in the operation member.
Runtime is not ready
Media typeapplication/problem+json
object
One of:
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
Evidence public problem Version 1
object
code
required
string
operation
required
string
status
required
integer
title
required
string
type
required
string
code
required
string
status
required
integer
title
required
string
type
required
string
Example
{ "code": "service_unavailable", "status": 503, "title": "Service temporarily unavailable", "type": "https://registrystack.org/problems/evidence/service_unavailable"}Headers
Section titled “Headers”Cache-Control
string
Evidence responses are never cacheable.
X-Request-Id
string
Server-minted operation identifier for this request. It is generated by Evidence, never taken from the caller, and is the identifier a caller quotes to an operator. Problem responses repeat it in the operation member.